## tarsnap-autoconf-1.0.30.tgz

=== keygen/Makefile ===
PROG	=	tarsnap-keygen
SRCS	=	keygen.c
WARNS	?=	6
LDADD	=	-lcrypto
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-I ../tar

# Tarsnap library code
.if defined(PROFILE)
LDADD	+=	../lib/libtarsnap_p.a
${PROG}	:	../lib/libtarsnap_p.a
.else
LDADD	+=	../lib/libtarsnap.a
${PROG}	:	../lib/libtarsnap.a
.endif

# Client-server protocol layer
CFLAGS	+=	-I ../lib/netpacket

# Packet transport layer
CFLAGS	+=	-I ../lib/netproto

# Network layer
CFLAGS	+=	-I ../lib/network

# Data structures
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
CFLAGS	+=	-I ../lib/crypto

# Keyfile handling code
CFLAGS	+=	-I ../lib/keyfile

# Utility code
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
.endif

.include <bsd.prog.mk>

=== keymgmt/Makefile ===
PROG	=	tarsnap-keymgmt
SRCS	=	keymgmt.c
WARNS	?=	6
LDADD	=	-lcrypto
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-I ../tar

# Tarsnap library code
.if defined(PROFILE)
LDADD	+=	../lib/libtarsnap_p.a
${PROG}	:	../lib/libtarsnap_p.a
.else
LDADD	+=	../lib/libtarsnap.a
${PROG}	:	../lib/libtarsnap.a
.endif

# Data structures
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
CFLAGS	+=	-I ../lib/crypto

# Keyfile handling code
CFLAGS	+=	-I ../lib/keyfile

# Utility code
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
.endif

.include <bsd.prog.mk>

=== keyregen/Makefile ===
PROG	=	tarsnap-keyregen
SRCS	=	keyregen.c
WARNS	?=	6
LDADD	=	-lcrypto
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-I ../tar

# Tarsnap library code
.if defined(PROFILE)
LDADD	+=	../lib/libtarsnap_p.a
${PROG}	:	../lib/libtarsnap_p.a
.else
LDADD	+=	../lib/libtarsnap.a
${PROG}	:	../lib/libtarsnap.a
.endif

# Client-server protocol layer
CFLAGS	+=	-I ../lib/netpacket

# Packet transport layer
CFLAGS	+=	-I ../lib/netproto

# Network layer
CFLAGS	+=	-I ../lib/network

# Data structures
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
CFLAGS	+=	-I ../lib/crypto

# Keyfile handling code
CFLAGS	+=	-I ../lib/keyfile

# Utility code
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
.endif

.include <bsd.prog.mk>

=== lib/Makefile ===
LIB	=	tarsnap
WARNS	?=	6
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-I ../tar

# Crypto code
.PATH	:	crypto
SRCS	+=	crypto_aesctr.c
SRCS	+=	crypto_dh.c
SRCS	+=	crypto_dh_group14.c
SRCS	+=	crypto_entropy.c
SRCS	+=	crypto_file.c
SRCS	+=	crypto_hash.c
SRCS	+=	crypto_keys.c
SRCS	+=	crypto_keys_server.c
SRCS	+=	crypto_keys_subr.c
SRCS	+=	crypto_passwd_to_dh.c
SRCS	+=	crypto_rsa.c
SRCS	+=	crypto_scrypt-nosse.c
SRCS	+=	crypto_session.c
SRCS	+=	crypto_verify_bytes.c
SRCS	+=	sha256.c
CFLAGS	+=	-I crypto

# Data structures
.PATH	:	datastruct
SRCS	+=	rwhashtab.c
SRCS	+=	patricia.c
CFLAGS	+=	-I datastruct

# Key file handling code
.PATH	:	keyfile
SRCS	+=	keyfile.c
CFLAGS	+=	-I keyfile

# Tarsnap request-response protocol code
.PATH	:	netpacket
SRCS	+=	netpacket_delete.c
SRCS	+=	netpacket_directory.c
SRCS	+=	netpacket_hmac.c
SRCS	+=	netpacket_op.c
SRCS	+=	netpacket_read.c
SRCS	+=	netpacket_register.c
SRCS	+=	netpacket_transaction.c
SRCS	+=	netpacket_write.c
CFLAGS	+=	-I netpacket

# Tarsnap client-server code
.PATH	:	netproto
SRCS	+=	netproto.c
SRCS	+=	netproto_connect.c
SRCS	+=	netproto_keyexchange.c
SRCS	+=	netproto_packet.c
CFLAGS	+=	-I netproto

# Non-blocking network routines
.PATH	:	network
SRCS	+=	network_buf.c
SRCS	+=	network_connect.c
SRCS	+=	network_cork.c
SRCS	+=	network_select.c
SRCS	+=	network_writeq.c
CFLAGS	+=	-I network

# scryptenc code
.PATH	:	scryptenc
SRCS	+=	scryptenc.c
SRCS	+=	scryptenc_cpuperf.c
CFLAGS	+=	-I scryptenc

# Utility code
.PATH	:	util
SRCS	+=	asprintf.c
SRCS	+=	b64encode.c
SRCS	+=	dirutil.c
SRCS	+=	entropy.c
SRCS	+=	getfstype.c
SRCS	+=	hexify.c
SRCS	+=	hexlink.c
SRCS	+=	humansize.c
SRCS	+=	memlimit.c
SRCS	+=	readpass.c
SRCS	+=	sigquit.c
SRCS	+=	tvmath.c
SRCS	+=	warnp.c
CFLAGS	+=	-I util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.else
NO_PROFILE=	YES
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
.endif

.include <bsd.lib.mk>

=== libarchive/Makefile ===
# $FreeBSD: src/lib/libarchive/Makefile,v 1.88 2008/08/31 07:21:46 kientzle Exp $

LIB=	archive
DPADD=	${LIBBZ2} ${LIBZ}
LDADD=	-lbz2 -lz

# Don't build profiled version unless needed.
.if !defined(PROFILE)
NO_PROFILE=    YES
.endif

CFLAGS+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS+=	-I${.OBJDIR}

WARNS?=	6

# Headers to be installed in /usr/include
INCS=	archive.h archive_entry.h

# Sources to be compiled.
SRCS=	archive_check_magic.c				\
	archive_entry.c					\
	archive_entry_copy_stat.c			\
	archive_entry_stat.c				\
	archive_entry_strmode.c				\
	archive_entry_link_resolver.c			\
	archive_read.c					\
	archive_read_data_into_fd.c			\
	archive_read_disk.c				\
	archive_read_disk_entry_from_file.c		\
	archive_read_disk_set_standard_lookup.c		\
	archive_read_extract.c				\
	archive_read_open_fd.c				\
	archive_read_open_file.c			\
	archive_read_open_filename.c			\
	archive_read_open_memory.c			\
	archive_read_support_compression_all.c		\
	archive_read_support_compression_bzip2.c	\
	archive_read_support_compression_compress.c	\
	archive_read_support_compression_gzip.c		\
	archive_read_support_compression_none.c		\
	archive_read_support_compression_program.c	\
	archive_read_support_compression_xz.c		\
	archive_read_support_format_all.c		\
	archive_read_support_format_ar.c		\
	archive_read_support_format_cpio.c		\
	archive_read_support_format_empty.c		\
	archive_read_support_format_iso9660.c		\
	archive_read_support_format_mtree.c		\
	archive_read_support_format_tar.c		\
	archive_read_support_format_zip.c		\
	archive_string.c				\
	archive_string_sprintf.c			\
	archive_util.c					\
	archive_virtual.c				\
	archive_write.c					\
	archive_write_disk.c				\
	archive_write_disk_set_standard_lookup.c	\
	archive_write_open_fd.c				\
	archive_write_open_file.c			\
	archive_write_open_filename.c			\
	archive_write_open_memory.c			\
	archive_write_set_compression_bzip2.c		\
	archive_write_set_compression_compress.c	\
	archive_write_set_compression_gzip.c		\
	archive_write_set_compression_none.c		\
	archive_write_set_compression_program.c		\
	archive_write_set_compression_xz.c		\
	archive_write_set_format.c			\
	archive_write_set_format_ar.c			\
	archive_write_set_format_by_name.c		\
	archive_write_set_format_cpio.c			\
	archive_write_set_format_cpio_newc.c		\
	archive_write_set_format_mtree.c		\
	archive_write_set_format_pax.c			\
	archive_write_set_format_shar.c			\
	archive_write_set_format_ustar.c		\
	filter_fork.c

CLEANFILES += *.o *.lo *~ .dirstamp
CLEANDIRS += .deps .libs

# Man pages to be installed.
MAN=	archive_entry.3					\
	archive_read.3					\
	archive_read_disk.3				\
	archive_util.3					\
	archive_write.3					\
	archive_write_disk.3				\
	cpio.5						\
	libarchive.3					\
	libarchive-formats.5				\
	tar.5

# Symlink the man pages under each function name.
MLINKS+=	archive_entry.3 archive_entry_acl_add_entry.3
MLINKS+=	archive_entry.3 archive_entry_acl_add_entry_w.3
MLINKS+=	archive_entry.3 archive_entry_acl_clear.3
MLINKS+=	archive_entry.3 archive_entry_acl_count.3
MLINKS+=	archive_entry.3 archive_entry_acl_next.3
MLINKS+=	archive_entry.3 archive_entry_acl_next_w.3
MLINKS+=	archive_entry.3 archive_entry_acl_reset.3
MLINKS+=	archive_entry.3 archive_entry_acl_text_w.3
MLINKS+=	archive_entry.3 archive_entry_clear.3
MLINKS+=	archive_entry.3 archive_entry_clone.3
MLINKS+=	archive_entry.3 archive_entry_copy_fflags_text.3
MLINKS+=	archive_entry.3 archive_entry_copy_fflags_text_w.3
MLINKS+=	archive_entry.3 archive_entry_copy_gname.3
MLINKS+=	archive_entry.3 archive_entry_copy_gname_w.3
MLINKS+=	archive_entry.3 archive_entry_copy_hardlink_w.3
MLINKS+=	archive_entry.3 archive_entry_copy_link.3
MLINKS+=	archive_entry.3 archive_entry_copy_link_w.3
MLINKS+=	archive_entry.3 archive_entry_copy_pathname_w.3
MLINKS+=	archive_entry.3 archive_entry_copy_stat.3
MLINKS+=	archive_entry.3 archive_entry_copy_symlink_w.3
MLINKS+=	archive_entry.3 archive_entry_copy_uname.3
MLINKS+=	archive_entry.3 archive_entry_copy_uname_w.3
MLINKS+=	archive_entry.3 archive_entry_dev.3
MLINKS+=	archive_entry.3 archive_entry_devmajor.3
MLINKS+=	archive_entry.3 archive_entry_devminor.3
MLINKS+=	archive_entry.3 archive_entry_filetype.3
MLINKS+=	archive_entry.3 archive_entry_fflags.3
MLINKS+=	archive_entry.3 archive_entry_fflags_text.3
MLINKS+=	archive_entry.3 archive_entry_free.3
MLINKS+=	archive_entry.3 archive_entry_gid.3
MLINKS+=	archive_entry.3 archive_entry_gname.3
MLINKS+=	archive_entry.3 archive_entry_gname_w.3
MLINKS+=	archive_entry.3 archive_entry_hardlink.3
MLINKS+=	archive_entry.3 archive_entry_ino.3
MLINKS+=	archive_entry.3 archive_entry_mode.3
MLINKS+=	archive_entry.3 archive_entry_mtime.3
MLINKS+=	archive_entry.3 archive_entry_mtime_nsec.3
MLINKS+=	archive_entry.3 archive_entry_nlink.3
MLINKS+=	archive_entry.3 archive_entry_new.3
MLINKS+=	archive_entry.3 archive_entry_pathname.3
MLINKS+=	archive_entry.3 archive_entry_pathname_w.3
MLINKS+=	archive_entry.3 archive_entry_rdev.3
MLINKS+=	archive_entry.3 archive_entry_rdevmajor.3
MLINKS+=	archive_entry.3 archive_entry_rdevminor.3
MLINKS+=	archive_entry.3 archive_entry_set_atime.3
MLINKS+=	archive_entry.3 archive_entry_set_ctime.3
MLINKS+=	archive_entry.3 archive_entry_set_dev.3
MLINKS+=	archive_entry.3 archive_entry_set_devmajor.3
MLINKS+=	archive_entry.3 archive_entry_set_devminor.3
MLINKS+=	archive_entry.3 archive_entry_set_fflags.3
MLINKS+=	archive_entry.3 archive_entry_set_gid.3
MLINKS+=	archive_entry.3 archive_entry_set_gname.3
MLINKS+=	archive_entry.3 archive_entry_set_hardlink.3
MLINKS+=	archive_entry.3 archive_entry_set_link.3
MLINKS+=	archive_entry.3 archive_entry_set_mode.3
MLINKS+=	archive_entry.3 archive_entry_set_mtime.3
MLINKS+=	archive_entry.3 archive_entry_set_nlink.3
MLINKS+=	archive_entry.3 archive_entry_set_pathname.3
MLINKS+=	archive_entry.3 archive_entry_set_rdev.3
MLINKS+=	archive_entry.3 archive_entry_set_rdevmajor.3
MLINKS+=	archive_entry.3 archive_entry_set_rdevminor.3
MLINKS+=	archive_entry.3 archive_entry_set_size.3
MLINKS+=	archive_entry.3 archive_entry_set_symlink.3
MLINKS+=	archive_entry.3 archive_entry_set_uid.3
MLINKS+=	archive_entry.3 archive_entry_set_uname.3
MLINKS+=	archive_entry.3 archive_entry_size.3
MLINKS+=	archive_entry.3 archive_entry_stat.3
MLINKS+=	archive_entry.3 archive_entry_symlink.3
MLINKS+=	archive_entry.3 archive_entry_uid.3
MLINKS+=	archive_entry.3 archive_entry_uname.3
MLINKS+=	archive_entry.3 archive_entry_uname_w.3
MLINKS+=	archive_read.3 archive_read_data.3
MLINKS+=	archive_read.3 archive_read_data_block.3
MLINKS+=	archive_read.3 archive_read_data_into_buffer.3
MLINKS+=	archive_read.3 archive_read_data_into_fd.3
MLINKS+=	archive_read.3 archive_read_data_skip.3
MLINKS+=	archive_read.3 archive_read_extract.3
MLINKS+=	archive_read.3 archive_read_extract_set_progress_callback.3
MLINKS+=	archive_read.3 archive_read_extract_set_skip_file.3
MLINKS+=	archive_read.3 archive_read_finish.3
MLINKS+=	archive_read.3 archive_read_new.3
MLINKS+=	archive_read.3 archive_read_next_header.3
MLINKS+=	archive_read.3 archive_read_open.3
MLINKS+=	archive_read.3 archive_read_open2.3
MLINKS+=	archive_read.3 archive_read_open_FILE.3
MLINKS+=	archive_read.3 archive_read_open_fd.3
MLINKS+=	archive_read.3 archive_read_open_file.3
MLINKS+=	archive_read.3 archive_read_open_filename.3
MLINKS+=	archive_read.3 archive_read_open_memory.3
MLINKS+=	archive_read.3 archive_read_support_compression_all.3
MLINKS+=	archive_read.3 archive_read_support_compression_bzip2.3
MLINKS+=	archive_read.3 archive_read_support_compression_compress.3
MLINKS+=	archive_read.3 archive_read_support_compression_gzip.3
MLINKS+=	archive_read.3 archive_read_support_compression_none.3
MLINKS+=	archive_read.3 archive_read_support_compression_program.3
MLINKS+=	archive_read.3 archive_read_support_format_all.3
MLINKS+=	archive_read.3 archive_read_support_format_cpio.3
MLINKS+=	archive_read.3 archive_read_support_format_iso9660.3
MLINKS+=	archive_read.3 archive_read_support_format_tar.3
MLINKS+=	archive_read.3 archive_read_support_format_zip.3
MLINKS+=	archive_read_disk.3 archive_read_disk_entry_from_file.3
MLINKS+=	archive_read_disk.3 archive_read_disk_gname.3
MLINKS+=	archive_read_disk.3 archive_read_disk_new.3
MLINKS+=	archive_read_disk.3 archive_read_disk_set_gname_lookup.3
MLINKS+=	archive_read_disk.3 archive_read_disk_set_standard_lookup.3
MLINKS+=	archive_read_disk.3 archive_read_disk_set_symlink_hybrid.3
MLINKS+=	archive_read_disk.3 archive_read_disk_set_symlink_logical.3
MLINKS+=	archive_read_disk.3 archive_read_disk_set_symlink_physical.3
MLINKS+=	archive_read_disk.3 archive_read_disk_set_uname_lookup.3
MLINKS+=	archive_read_disk.3 archive_read_disk_uname.3
MLINKS+=	archive_util.3 archive_clear_error.3
MLINKS+=	archive_util.3 archive_compression.3
MLINKS+=	archive_util.3 archive_compression_name.3
MLINKS+=	archive_util.3 archive_errno.3
MLINKS+=	archive_util.3 archive_error_string.3
MLINKS+=	archive_util.3 archive_format.3
MLINKS+=	archive_util.3 archive_format_name.3
MLINKS+=	archive_util.3 archive_set_error.3
MLINKS+=	archive_write.3 archive_write_close.3
MLINKS+=	archive_write.3 archive_write_data.3
MLINKS+=	archive_write.3 archive_write_finish.3
MLINKS+=	archive_write.3 archive_write_finish_entry.3
MLINKS+=	archive_write.3 archive_write_get_bytes_in_last_block.3
MLINKS+=	archive_write.3 archive_write_get_bytes_per_block.3
MLINKS+=	archive_write.3 archive_write_header.3
MLINKS+=	archive_write.3 archive_write_new.3
MLINKS+=	archive_write.3 archive_write_open.3
MLINKS+=	archive_write.3 archive_write_open_FILE.3
MLINKS+=	archive_write.3 archive_write_open_fd.3
MLINKS+=	archive_write.3 archive_write_open_file.3
MLINKS+=	archive_write.3 archive_write_open_filename.3
MLINKS+=	archive_write.3 archive_write_open_memory.3
MLINKS+=	archive_write.3 archive_write_set_bytes_in_last_block.3
MLINKS+=	archive_write.3 archive_write_set_bytes_per_block.3
MLINKS+=	archive_write.3 archive_write_set_callbacks.3
MLINKS+=	archive_write.3 archive_write_set_compression_bzip2.3
MLINKS+=	archive_write.3 archive_write_set_compression_compress.3
MLINKS+=	archive_write.3 archive_write_set_compression_gzip.3
MLINKS+=	archive_write.3 archive_write_set_compression_none.3
MLINKS+=	archive_write.3 archive_write_set_compression_program.3
MLINKS+=	archive_write.3 archive_write_set_format_pax.3
MLINKS+=	archive_write.3 archive_write_set_format_shar.3
MLINKS+=	archive_write.3 archive_write_set_format_ustar.3
MLINKS+=	archive_write_disk.3 archive_write_disk_new.3
MLINKS+=	archive_write_disk.3 archive_write_disk_set_group_lookup.3
MLINKS+=	archive_write_disk.3 archive_write_disk_set_options.3
MLINKS+=	archive_write_disk.3 archive_write_disk_set_skip_file.3
MLINKS+=	archive_write_disk.3 archive_write_disk_set_standard_lookup.3
MLINKS+=	archive_write_disk.3 archive_write_disk_set_user_lookup.3
MLINKS+=	libarchive.3 archive.3

# Actually, we don't want any of the libarchive man pages for tarsnap
MAN=
MLINKS=

.PHONY: check test
check test:
	cd ${.CURDIR}/test && make test

.include <bsd.lib.mk>

=== recrypt/Makefile ===
PROG	=	tarsnap-recrypt
SRCS	=	recrypt.c
MAN1	=	tarsnap-recrypt.1
WARNS	?=	6
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-I ../tar

# Tarsnap library code
.if defined(PROFILE)
LDADD	+=	../lib/libtarsnap_p.a
${PROG}	:	../lib/libtarsnap_p.a
.else
LDADD	+=	../lib/libtarsnap.a
${PROG}	:	../lib/libtarsnap.a
.endif

# Other libraries used
LDADD	+=	-lz -lcrypto

# Multitape code
.PATH.c	:	../tar/multitape
SRCS	+=	multitape_transaction.c
SRCS	+=	multitape_metadata.c
CFLAGS	+=	-I ../tar/multitape

# Chunk layer (mostly link pollution from multitape code)
.PATH.c	:	../tar/chunks
SRCS	+=	chunks_write.c
SRCS	+=	chunks_stats.c
SRCS	+=	chunks_delete.c 
SRCS	+=	chunks_transaction.c
SRCS	+=	chunks_stats_internal.c
SRCS	+=	chunks_directory.c
CFLAGS	+=	-I ../tar/chunks

# Storage layer
.PATH.c	:	../tar/storage
SRCS	+=	storage_write.c
SRCS	+=	storage_read.c
SRCS	+=	storage_delete.c
SRCS	+=	storage_directory.c
SRCS	+=	storage_transaction.c
CFLAGS	+=	-I ../tar/storage

# Client-server protocol layer
CFLAGS	+=	-I ../lib/netpacket

# Packet transport layer
CFLAGS	+=	-I ../lib/netproto

# Network layer
CFLAGS	+=	-I ../lib/network

# Data structures
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
CFLAGS	+=	-I ../lib/crypto

# Keyfile handling code
CFLAGS	+=	-I ../lib/keyfile

# Utility code
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
CFLAGS	+=	-O1
.endif
.if defined(DEBUG_SELECTSTATS)
CFLAGS	+=	-DDEBUG_SELECTSTATS
.endif

.include <bsd.prog.mk>

=== tar/Makefile ===
PROG	=	tarsnap
SRCS	=	bsdtar.c cmdline.c getdate.c matching.c read.c siginfo.c subst.c tree.c util.c write.c
MAN1	=	tarsnap.1
MAN5	=	tarsnap.conf.5
WARNS	?=	6
CFLAGS	+=	-DUSERAGENT=\"${PROG}-${TARVERSION}\"
CFLAGS	+=	-DPACKAGE_VERSION=\"${TARVERSION}\"
CFLAGS	+=	-DTSSERVER=\"${TSSERVER}\"
CFLAGS	+=	-DPLATFORM_CONFIG_H=\"config_freebsd.h\"
CFLAGS	+=	-I ${.CURDIR}

# Install sample configuration file
FILESGROUPS	+=	CONFIG
CONFIGDIR	?=	/usr/local/etc
CONFIG		=	tarsnap.conf.sample

# Location of system tarsnap configuration file
CFLAGS	+=	-DETC_TARSNAP_CONF=\"${CONFIGDIR}/tarsnap.conf\"

# Generate tarsnap.1 and tarsnap.conf.5 via sed.
CLEANFILES	+=	tarsnap.1 tarsnap.conf.5
tarsnap.1:	bsdtar.1
	cat bsdtar.1 |					\
	    sed -e 's|@CONFIGDIR@|${CONFIGDIR}|g' > tarsnap.1
tarsnap.conf.5:	tarsnap.conf.5.in
	cat tarsnap.conf.5.in |					\
	    sed -e 's|@CONFIGDIR@|${CONFIGDIR}|g' > tarsnap.conf.5

# Use our own version of libarchive
.if defined(PROFILE)
LDADD	+=	../libarchive/libarchive_p.a
${PROG}	:	../libarchive/libarchive_p.a
.else
LDADD	+=	../libarchive/libarchive.a
${PROG}	:	../libarchive/libarchive.a
.endif
CFLAGS	+=	-I ${.OBJDIR}/../libarchive

# Tarsnap library code
.if defined(PROFILE)
LDADD	+=	../lib/libtarsnap_p.a
${PROG}	:	../lib/libtarsnap_p.a
.else
LDADD	+=	../lib/libtarsnap.a
${PROG}	:	../lib/libtarsnap.a
.endif

# Other libraries used
LDADD	+=	-lz -lbz2 -lcrypto

# Code which interfaces between multiple layers.
.PATH.c	:	./glue
SRCS	+=	archive_multitape.c
SRCS	+=	tape.c
CFLAGS	+=	-I ./glue

# Chunkification cache
.PATH.c	:	./ccache
SRCS	+=	ccache_entry.c
SRCS	+=	ccache_read.c
SRCS	+=	ccache_write.c
CFLAGS	+=	-I ./ccache

# Multitape code
.PATH.c	:	./multitape
SRCS	+=	chunkify.c
SRCS	+=	multitape_write.c
SRCS	+=	multitape_read.c
SRCS	+=	multitape_stats.c
SRCS	+=	multitape_delete.c
SRCS	+=	multitape_recover.c
SRCS	+=	multitape_fsck.c
SRCS	+=	multitape_nuke.c
SRCS	+=	multitape_chunkiter.c
SRCS	+=	multitape_metadata.c
SRCS	+=	multitape_metaindex.c
SRCS	+=	multitape_transaction.c
CFLAGS	+=	-I ./multitape

# Chunk layer
.PATH.c	:	./chunks
SRCS	+=	chunks_write.c
SRCS	+=	chunks_read.c
SRCS	+=	chunks_stats.c
SRCS	+=	chunks_delete.c 
SRCS	+=	chunks_transaction.c
SRCS	+=	chunks_stats_internal.c
SRCS	+=	chunks_directory.c
CFLAGS	+=	-I ./chunks

# Storage layer
.PATH.c	:	./storage
SRCS	+=	storage_write.c
SRCS	+=	storage_read.c
SRCS	+=	storage_delete.c
SRCS	+=	storage_directory.c
SRCS	+=	storage_transaction.c
CFLAGS	+=	-I ./storage

# Client-server protocol layer
CFLAGS	+=	-I ../lib/netpacket

# Packet transport layer
CFLAGS	+=	-I ../lib/netproto

# Network layer
CFLAGS	+=	-I ../lib/network

# Data structures
CFLAGS	+=	-I ../lib/datastruct

# Cryptographic code
CFLAGS	+=	-I ../lib/crypto

# Keyfile handling code
CFLAGS	+=	-I ../lib/keyfile

# Utility code
CFLAGS	+=	-I ../lib/util

# Compiler flags for profiling
.if defined(PROFILE)
CFLAGS	+=	-g -pg -DPROFILE
.endif

# Debugging flags
.if defined(DEBUG)
CFLAGS	+=	-g
CFLAGS	+=	-DDEBUG
CFLAGS	+=	-O1
.endif
.if defined(DEBUG_SELECTSTATS)
CFLAGS	+=	-DDEBUG_SELECTSTATS
.endif

.include <bsd.prog.mk>

=== pkg/debian/changelog ===
tarsnap (1.0.30) unstable; urgency=low

  * New version of tarsnap brings many minor bug fixes.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 16 Aug 2011 20:25:12 +0000

tarsnap (1.0.29) unstable; urgency=low

  * New version of tarsnap adds tarsnap-recrypt utility for re-encrypting
    stored data.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 1 Feb 2011 21:28:44 +0000

tarsnap (1.0.28) unstable; urgency=critical

  * Bug fix in encryption code.

 -- Colin Percival <cperciva@tarsnap.com>  Mon, 17 Jan 2011 09:42:12 +0000

tarsnap (1.0.27) unstable; urgency=low

  * New version of tarsnap brings several new features.

 -- Colin Percival <cperciva@tarsnap.com>  Mon, 7 Jun 2010 04:19:32 +0000

tarsnap (1.0.26) unstable; urgency=low

  * New version of tarsnap changes client-server protocol in order to reduce
    "connection lost" warnings, fixes a serious bug in the --maxbw-rate
    options, improves documentation, and fixes a few other minor bugs.
  * Debian installation rules fixed to create Tarsnap cache directory with
    the correct (0700) permissions.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 24 Dec 2009 06:56:51 +0000

tarsnap (1.0.25) unstable; urgency=low

  * New version of tarsnap makes it possible for more options to be specified
    via configuration files, and for options set in configuration files to be
    unset at the command line.

 -- Colin Percival <cperciva@tarsnap.com>  Fri, 10 Jul 2009 10:50:12 +0000

tarsnap (1.0.24) unstable; urgency=low

  * New version of tarsnap updates underlying libarchive version to 2.7.0
    and reorganizes the source code and build process.

 -- Colin Percival <cperciva@tarsnap.com>  Sun, 21 Jun 2009 02:52:31 +0000

tarsnap (1.0.23) unstable; urgency=low

  * New version of tarsnap adds new features, improves resilience in the
    presence of transient network errors, and fixes minor bugs.

 -- Colin Percival <cperciva@tarsnap.com>  Wed, 10 Jun 2009 12:21:56 +0000

tarsnap (1.0.22) unstable; urgency=low

  * New version of tarsnap adds support for passphrase-protected key files
    using the scrypt key derivation function.

 -- Colin Percival <cperciva@tarsnap.com>  Tue, 3 Jun 2009 23:21:44 +0000

tarsnap (1.0.21) unstable; urgency=critical (low for users of tarsnap 1.0.19 or earlier)

  * New version of tarsnap fixes serious bug in the chunk cache when a
    checkpoint is created in the middle of a file.

 -- Colin Percival <cperciva@tarsnap.com>  Thu, 5 Mar 2009 01:12:50 +0000

tarsnap (1.0.20) unstable; urgency=low

  * Fixed typo in sed code for changing default cachedir.
  * Removed unnecessary dependency on autotools-dev.
  * Added dependency on libbz2-dev (not required, but tarsnap will take
    advantage of libbz2 if it is present).
  * Removed unnecessary CONFIGDIR= from ./configure invocation (the
    autoconf logic handles this already).

 -- Colin Percival <cperciva@tarsnap.com>  Sat, 31 Jan 2009 22:54:01 +0000

tarsnap (1.0.19-1) unstable; urgency=low

  * Fixed default config file location and cachedir.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 19:48:41 +0100

tarsnap (1.0.19) unstable; urgency=low

  * Initial Release.

 -- Mads Sulau Joergensen <mads@sulau.dk>  Sun, 18 Jan 2009 14:25:54 +0100

=== pkg/debian/control ===
Source: tarsnap
Section: net
Priority: extra
Maintainer: Mads Sulau Joergensen <mads@sulau.dk>
Build-Depends: debhelper (>= 5), e2fslibs-dev, zlib1g-dev, libssl-dev, libbz2-dev, libattr1-dev, libacl1-dev
Standards-Version: 3.7.2

Package: tarsnap
Architecture: any
Depends: ${shlibs:Depends}
Description: tarsnap is an online encrypted snapshotted backup service
 Tarsnap is an encrypted snapshotted online backup service for BSD, 
 Linux, OpenSolaris, and OS X.
